diff -uNr coreboot_saved/src/mainboard/amd/bettong/BiosCallOuts.c coreboot/src/mainboard/amd/bettong/BiosCallOuts.c
--- coreboot_saved/src/mainboard/amd/bettong/BiosCallOuts.c	2018-08-19 18:31:13.155272026 +0200
+++ coreboot/src/mainboard/amd/bettong/BiosCallOuts.c	2018-08-20 19:05:53.567150909 +0200
@@ -86,6 +86,9 @@
 		FchParams_reset->FchReset.Xhci0Enable = IS_ENABLED(CONFIG_HUDSON_XHCI_ENABLE);
 		FchParams_reset->FchReset.Xhci1Enable = FALSE;
 		FchParams_reset->EarlyOemGpioTable = oem_bettong_gpio;
+		/* sata configuration */
+		FchParams_reset->FchReset.SataEnable = (CONFIG_HUDSON_SATA_MODE == 0) || (CONFIG_HUDSON_SATA_MODE == 2);
+
 	} else if (StdHeader->Func == AMD_INIT_ENV) {
 		FCH_DATA_BLOCK *FchParams_env = (FCH_DATA_BLOCK *)FchData;
 		printk(BIOS_DEBUG, "Fch OEM config in INIT ENV ");
@@ -102,7 +105,6 @@
 		FchParams_env->Usb.Xhci1Enable = FALSE;
 		FchParams_env->Usb.USB30PortInit = 8; /* 8: If USB3 port is unremoveable. */
 
-		/* sata configuration */
 		/* SD configuration */
 		/* Rev F has an on-board eMMC, which only supports SD 2.0 */
 		if (board_id() == 'F') {
diff -uNr coreboot_saved/src/northbridge/amd/pi/00660F01/northbridge.c coreboot/src/northbridge/amd/pi/00660F01/northbridge.c
--- coreboot_saved/src/northbridge/amd/pi/00660F01/northbridge.c	2018-08-19 18:31:13.299272024 +0200
+++ coreboot/src/northbridge/amd/pi/00660F01/northbridge.c	2018-08-20 19:11:55.335147317 +0200
@@ -777,12 +777,21 @@
 	}
 }
 
+static const char *domain_acpi_name(const struct device *dev)
+{
+	if (dev->path.type == DEVICE_PATH_DOMAIN)
+		return "PCI0";
+
+	return NULL;
+}
+
 static struct device_operations pci_domain_ops = {
 	.read_resources	  = domain_read_resources,
 	.set_resources	  = domain_set_resources,
 	.enable_resources = domain_enable_resources,
 	.init		  = NULL,
 	.scan_bus	  = pci_domain_scan_bus,
+	.acpi_name        = domain_acpi_name,
 };
 
 static void sysconf_init(struct device *dev) // first node
